> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rebase.energy/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Model Output

> Get the output produced by a model, as_of can be specified
to get the output as it was at a specific point in time

If no start_date is provided, the start_date will be today 00:00 UTC



## OpenAPI

````yaml get /platform/v2/models/{model_id}/output
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /platform/v2/models/{model_id}/output:
    get:
      tags:
        - Model
      summary: Get Model Output
      description: |-
        Get the output produced by a model, as_of can be specified
        to get the output as it was at a specific point in time

        If no start_date is provided, the start_date will be today 00:00 UTC
      operationId: get_model_output_platform_v2_models__model_id__output_get
      parameters:
        - name: model_id
          in: path
          required: true
          schema:
            type: string
            title: Model Id
        - name: start_date
          in: query
          required: false
          schema:
            type: string
            format: date-time
            title: Start Date
        - name: end_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: End Date
        - name: tz
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Tz
        - name: as_of
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: As Of
        - name: output_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            default: forecast
            title: Output Type
        - name: normalization_handling
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                enum:
                  - disabled
                  - auto
              - type: 'null'
            title: Normalization Handling
            default: auto
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelOutputResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationResponse'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ModelOutputResponse:
      properties:
        model_id:
          type: string
          title: Model Id
        model_version:
          type: integer
          title: Model Version
        model_name:
          type: string
          title: Model Name
        model_label:
          type: string
          title: Model Label
        priority:
          type: integer
          title: Priority
        as_of:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: As Of
        forecast:
          items:
            anyOf:
              - type: integer
              - type: number
          type: array
          title: Forecast
        valid_time:
          items:
            type: string
            format: date-time
          type: array
          title: Valid Time
        capacity:
          anyOf:
            - items:
                anyOf:
                  - type: integer
                  - type: number
              type: array
            - type: 'null'
          title: Capacity
      type: object
      required:
        - model_id
        - model_version
        - model_name
        - model_label
        - priority
        - as_of
        - forecast
        - valid_time
        - capacity
      title: ModelOutputResponse
    ValidationResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorItem'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ValidationResponse
    ErrorItem:
      properties:
        field:
          type: string
          title: Field
        message:
          type: string
          title: Message
      type: object
      required:
        - field
        - message
      title: ErrorItem
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: >-
        Your API key. This is required to access our API programatically. You
        can view your API key in the Rebase dashboard.
      in: header
      name: Authorization

````